Bug 195386 - Unable to handle kernel paging request at virtual address fffff034
Unable to handle kernel paging request at virtual address fffff034
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-14 18:42 EDT by Marshall DeBerry
Modified: 2015-01-04 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:38:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Linuxant Conexant HSF Modem driver to be compiled for current FC5 (1.53 MB, application/x-gzip)
2006-06-30 19:59 EDT, Marshall DeBerry
no flags Details

  None (edit)
Description Marshall DeBerry 2006-06-14 18:42:14 EDT
Description of problem: Machine dumps core and stops with message "Unable to
handle kernel paging request at virtual address fffff034"

Version-Release number of selected component (if applicable): 2.6.16-1.2133_FC5

How reproducible: varies--usually occurs during inital boot at "Starting udev"
message.  Sometimes just pauses, other times does a dump

Steps to Reproduce:
1. Boot machine
2. "Starting udev" message appears
3. Machine either 1.) boots normally 2.) freezes at "Starting udev" or 3.) does
a complete dump of registers and then halts

Actual results: see below

Expected results: normal boot

Additional info:

Starting udev:

[<c02e4586>] do_page_fault + 0xa5/0x51d
Unable to handle kernel paging request at virtual address fffff034 Printing eip:
 c0103bf1 *pde=  0002067
Oops:  0000 [#9]
Last sysfs file:  /block/hdb/removeable
Modules linked in: ohci1394 uhci_hcd ieee1394 hsfpcibasic2(U) hsfserial(U)
ehci_hcd hsfengine(U) e100 mii hsfosspec(U) emul0k1_gp hsfsoar(U) gameport
hw_random i2c_i801 i2c_core ext3 jbd
cpu: 0
eip:  0060:<c0103bf1>]  Tainted:  P   VLI
eflags:  00010002  (2.6.16-1.2133_FC5 h1)

Additional comments:
Have Opensound driver from 4Front installed for Dell Soundblaster Live 5.1 card
Have Linuxant Conexant HSF softmodem driver that loads for modem access

Comment 1 Dave Jones 2006-06-14 22:28:49 EDT
does it happen without those extra modules being present ?

The [#9] in the report above means this is the 9th oops too, so I'm guessing a
bunch of others scrolled by.  If you boot with boot_delay=100
(you may have to adjust the 100 to more/less), the speed text is output will be
decreased, so you should be able to capture the first one (if you have a digital
camera, just attach a pic of it to the bug)

also booting with vga=791 will increase the number of lines of text able to fit
on the screen.
Comment 2 Marshall DeBerry 2006-06-15 10:14:07 EDT
Yes, several screens/pages of do_page_fault scrolled by before stopping.  This
particularly problem is very intermittent--one can reboot several times with no
problem, and then the freeze up or dump will start to happen.  I'll definitely
take the advice of using the delay=100 to see if I can get more detail.

Also, this seemed to start happening with FC5 with the release of the new
version of udev several months ago--it's just recently that it seems to start
occuring more frequently. 
Comment 3 Marshall DeBerry 2006-06-29 19:36:15 EDT
Upgraded to 2.6.17-1-2139 FC5 on 6/29/06.  Now on boot, the following appears:

<c0602996> do_page_fault +0x443/0x5ad <c06025537> do_page_fault+0x0/0x5ad
<c04037df7> error_code+0x4f/0x54 <c0403079> show_trace_log_lvl + 0x93/0xed
BUG:  Unable to handle kernel NULL pointer dereference at virtual address 
Printing EIP:
*pdc = 00000000
Comment 4 Marshall DeBerry 2006-06-30 19:59:43 EDT
Created attachment 131835 [details]
Linuxant Conexant HSF Modem driver to be compiled for current FC5 

This is the curent gzip'ed tar file from Linxuant (www.linuxant.com) for the
Conexant HSF softmodem that was shipped with a number of Dell 45xx series
computers.  To use, the tar files are extracted, and then a make install is
done, and the prompts are followed.  This is the latest version, dated May 2,

While it is recognized that this is a "wrapper" type module that "taints" the
kernel, please keep in mind this is the only driver available for this modem,
ie, you're up the creek w/o paddle if you need to use a modem and FC5 with the
Conexant HSF series modems.
Comment 5 Marshall DeBerry 2006-06-30 20:02:41 EDT
It appears that the Linuxant HSF modem driver is causing the NULL ponter
derefernce error in 2.6.17-1-2139.  Removing the driver module causes the error
to go away.
Comment 6 Dave Jones 2006-10-16 13:47:37 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Jon Stanley 2008-01-19 23:38:08 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.